/*
 * Preloading class: adding into the elements automatically in preload
 * process.
 */
.amh-preload {
	position: relative;
	pointer-events: none;
}

.amh-skeleton-ul:after {
	position: absolute;
	left: 0;
	top: 0;
	width: 100%;
	height: 100%;
	content: ' ';
	background-repeat: repeat-y;
	background-image: radial-gradient(circle 50px at 50px 50px, lightgray 99%, transparent 0),
		linear-gradient(100deg, rgba(255, 255, 255, 0),
		rgba(255, 255, 255, 0.5) 50%, rgba(255, 255, 255, 0) 80%),
		linear-gradient(lightgray 20px, transparent 0),
		linear-gradient(lightgray 20px, transparent 0),
		linear-gradient(lightgray 20px, transparent 0),
		linear-gradient(lightgray 20px, transparent 0);
	background-size: 100px 200px, /* circle */ 
			 50px 200px, /* highlight */ 
			 150px 200px, 350px 200px, 300px 200px, 250px 200px;
	background-position: 0 0, /* circle */ 
			 0 0, /* highlight */ 
			 120px 0, 120px 40px, 120px 80px, 120px 120px;
	animation: shine 1s infinite;
}

/*
 * An item in system
 */
.amh-skeleton-item:after {
	position: absolute;
	left: 0;
	top: 0;
	width: 100%;
	height: 100%;
	content: ' ';
	background-repeat: no-repeat;
	background-image: radial-gradient(circle 50px at 50px 50px, lightgray 99%, transparent 0),
		linear-gradient(100deg, rgba(255, 255, 255, 0),
		rgba(255, 255, 255, 0.5) 50%, rgba(255, 255, 255, 0) 80%),
		linear-gradient(lightgray 20px, transparent 0),
		linear-gradient(lightgray 20px, transparent 0),
		linear-gradient(lightgray 20px, transparent 0),
		linear-gradient(lightgray 20px, transparent 0);
	background-size: 100px 200px, /* circle */ 
			 50px 200px, /* highlight */ 
			 150px 200px, 350px 200px, 300px 200px, 250px 200px;
	background-position: 0 0, /* circle */ 
			 0 0, /* highlight */ 
			 120px 0, 120px 40px, 120px 80px, 120px 120px;
	animation: shine 1s infinite;
}

/*
 * Repeated items in y directions
 */
.amh-skeleton-list-item:after {
	position: absolute;
	left: 0;
	top: 0;
	width: 100%;
	height: 100%;
	content: ' ';
	background-repeat: repeat-y;
	background-image: radial-gradient(circle 50px at 50px 50px, lightgray 99%, transparent 0),
		linear-gradient(100deg, rgba(255, 255, 255, 0),
		rgba(255, 255, 255, 0.5) 50%, rgba(255, 255, 255, 0) 80%),
		linear-gradient(lightgray 20px, transparent 0),
		linear-gradient(lightgray 20px, transparent 0),
		linear-gradient(lightgray 20px, transparent 0),
		linear-gradient(lightgray 20px, transparent 0);
	background-size: 100px 200px, /* circle */ 
			 50px 200px, /* highlight */ 
			 150px 200px, 350px 200px, 300px 200px, 250px 200px;
	background-position: 0 0, /* circle */ 
			 0 0, /* highlight */ 
			 120px 0, 120px 40px, 120px 80px, 120px 120px;
	animation: shine 1s infinite;
}

/*
 * List
 */
.amh-skeleton-list:after {
	position: absolute;
	left: 0;
	top: 0;
	width: 100%;
	height: 100%;
	content: ' ';
	background-repeat: repeat-y;
	background-image: radial-gradient(circle 50px at 50px 50px, lightgray 99%, transparent 0),
		linear-gradient(100deg, rgba(255, 255, 255, 0),
		rgba(255, 255, 255, 0.5) 50%, rgba(255, 255, 255, 0) 80%),
		linear-gradient(lightgray 20px, transparent 0),
		linear-gradient(lightgray 20px, transparent 0),
		linear-gradient(lightgray 20px, transparent 0),
		linear-gradient(lightgray 20px, transparent 0);
	background-size: 100px 200px, /* circle */ 
			 50px 200px, /* highlight */ 
			 150px 200px, 350px 200px, 300px 200px, 250px 200px;
	background-position: 0 0, /* circle */ 
			 0 0, /* highlight */ 
			 120px 0, 120px 40px, 120px 80px, 120px 120px;
	animation: shine 1s infinite;
}

/*
 * An image
 */
.amh-skeleton-image:after {
	position: absolute;
	left: 0;
	top: 0;
	width: 100%;
	height: 100%;
	content: ' ';
	background-repeat: repeat-y;
	background-image: radial-gradient(circle 50px at 50px 50px, lightgray 99%, transparent 0),
		linear-gradient(100deg, rgba(255, 255, 255, 0),
		rgba(255, 255, 255, 0.5) 50%, rgba(255, 255, 255, 0) 80%),
		linear-gradient(lightgray 20px, transparent 0),
		linear-gradient(lightgray 20px, transparent 0),
		linear-gradient(lightgray 20px, transparent 0),
		linear-gradient(lightgray 20px, transparent 0);
	background-size: 100px 200px, /* circle */ 
			 50px 200px, /* highlight */ 
			 150px 200px, 350px 200px, 300px 200px, 250px 200px;
	background-position: 0 0, /* circle */ 
			 0 0, /* highlight */ 
			 120px 0, 120px 40px, 120px 80px, 120px 120px;
	animation: shine 1s infinite;
}

/*
 * A full page 
 */
.amh-skeleton-page:after {
	position: absolute;
	left: 0;
	top: 0;
	width: 100%;
	height: 100%;
	content: ' ';
	background-repeat: repeat-y;
	background-image: radial-gradient(circle 50px at 50px 50px, lightgray 99%, transparent 0),
		linear-gradient(100deg, rgba(255, 255, 255, 0),
		rgba(255, 255, 255, 0.5) 50%, rgba(255, 255, 255, 0) 80%),
		linear-gradient(lightgray 20px, transparent 0),
		linear-gradient(lightgray 20px, transparent 0),
		linear-gradient(lightgray 20px, transparent 0),
		linear-gradient(lightgray 20px, transparent 0);
	background-size: 100px 200px, /* circle */ 
			 50px 200px, /* highlight */ 
			 150px 200px, 350px 200px, 300px 200px, 250px 200px;
	background-position: 0 0, /* circle */ 
			 0 0, /* highlight */ 
			 120px 0, 120px 40px, 120px 80px, 120px 120px;
	animation: shine 1s infinite;
}



@keyframes shine {
	to {
		background-position:
			0 0,
			100% 0, /* move highlight to right */
			120px 0,
			120px 40px,
			120px 80px,
			120px 120px;
	}
}

/*
 *  Adding animation class into the preloading dom.
 */
.amh-preload-animation {
	
}